[Icecast] libshout build error

Arthur Wiebe artooro at gmail.com
Fri Jul 29 08:23:31 PDT 2005


When building libshout, configure outputs this error:

checking for Vorbis... no
*** Could not run Vorbis test program, checking why...
*** The test program failed to compile or link. See the file config.log for 
the
*** exact error that occured. This usually means Vorbis was incorrectly 
installed
*** or that you have moved Vorbis since it was installed.
configure: error: requisite Ogg Vorbis library not found

But I have the latest svn source installed of both ogg and vorbis.
I have never moved vorbis.

config.log shows this:

configure:23180: checking for Vorbis
configure:23227: gcc -o conftest -g -O2 conftest.c -lvorbis -lm -lvorbisenc 
>&5
In file included from /usr/local/include/ogg/os_types.h:123,
from /usr/local/include/ogg/ogg.h:24,
from /usr/local/include/vorbis/codec.h:26,
from conftest.c:52:
/usr/local/include/ogg/config_types.h:6: error: parse error before 
'ogg_uint16_t'
/usr/local/include/ogg/config_types.h:8: error: parse error before 
'ogg_uint32_t'
configure:23230: $? = 1
configure: program exited with status 1


I'm using gcc 4.0.

Thanks for your help.

-- 
<Arthur/>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.xiph.org/pipermail/icecast/attachments/20050729/dcaefaf1/attachment.htm


More information about the Icecast mailing list